import { Unary } from "./functionalUtils";
import { Align, Bounds, Point, StyledTokens, SegmentToken, SplitStyle, TextStyleExtended, ParagraphToken, LineToken, WordToken, Nested, VAlign, FontMap } from "./types";
export declare const updateOffsetForNewLine: (offset: Point, largestLineHeight: number, lineSpacing: number) => Point;
export declare const translatePoint: <P extends Point>(offset: Point) => (point: P) => P;
export declare const translateLine: (offset: Point) => (line: Bounds[]) => Bounds[];
export declare const translateWordPosition: (offset: Point) => (word: WordToken) => WordToken;
export declare const translateTokenLine: (offset: Point) => (line: LineToken) => LineToken;
export declare const lineWidth: (wordsInLine: Bounds[]) => number;
export declare const center: (x: number, context: number) => number;
export declare const concatBounds: (originalBounds?: Bounds, bounds?: Bounds) => Bounds;
export declare const getBoundsNested: Unary<Nested<SegmentToken>, Bounds>;
type AlignFunction = (line: Bounds[]) => Bounds[];
type AlignFunctionMaxWidth = (maxWidth: number) => AlignFunction;
export declare const alignLeft: AlignFunction;
export declare const alignRight: AlignFunctionMaxWidth;
export declare const alignCenter: AlignFunctionMaxWidth;
export declare const alignJustify: AlignFunctionMaxWidth;
export declare const alignLines: (align: Align, maxWidth: number, lines: ParagraphToken) => ParagraphToken;
export declare const verticalAlignInLines: (lines: ParagraphToken, lineSpacing: number, overrideValign?: VAlign) => ParagraphToken;
export declare const collapseWhitespacesOnEndOfLines: (lines: ParagraphToken) => ParagraphToken;
export declare const splitAroundWhitespace: (s: string) => string[];
export declare const splitText: (s: string, splitStyle: SplitStyle) => string[];
export declare const calculateTokens: (styledTokens: StyledTokens, splitStyle?: SplitStyle, scaleIcons?: boolean, adjustFontBaseline?: FontMap) => ParagraphToken;
export declare const getBaselineAdjustment: (style: TextStyleExtended, fontBaselineMap: FontMap | undefined, ascent: number) => number;
export {};
